
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    border: none;
}

:root {
    --border: 3px;
    --color1: #deb887;
    --color2: #B56917;
    --from: 30deg;
    --distance: 50%;
  }

html,body{
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

body{
    background-color:#000;
    color: aliceblue;
}

p{
    font-size: 20px;
    font-weight: 300;
}

.nav-menu{
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    background: #111111;
    width: 200px;
    overflow: hidden;
    transition: width .3s linear;
    box-shadow: 0 5px 15px var(--color1);
    z-index: 5;
    
}

.menu-toggle-button{
    position: fixed;
    top: 15px;
    left: 23px;
    font-size: 20px;
    line-height: 1;
    color: var(--color1);
    background: #000;
    border-radius: 5px;
    cursor: pointer;
    display: none;
    z-index: 1;
}

.nav-profile{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    justify-content: center;
    margin: 35px 0;
    transition: all 0.5s ease;
}

.nav-profile img{
    width: 45px;
    height: 45px;
    border-radius: 50%;
    margin-top: 10px;
}

.nav-profile span{
    font-size: 20px;
    font-weight: bolder;
    color: var(--color2);
    text-transform: none;
    transition: all 3s ease;
}

.nav-menu a{
    position: relative;
    text-decoration: none;
    color: var(--color2);
    font-size: 15px;
    display: table;
    width: 200px;
    padding: 10px;
    line-height: 60px;
}

.nav-menu a:hover{
    color: var(--color1);
}

.nav-menu a.active{
    color: var(--color1);
}

.nav-menu i{
    position: relative;
    text-align: center;
    width: 30px;
    height: 10px;
    top: 15px;
    padding-left: 5px;
    font-size: 20px;
}

.nav-menu .nav-item{
    position: relative;
    top: 12px;
    margin-left: 40px;
}

section{
    min-height: 100vh;
    padding: 0;
    margin-left: 210px;
    transition: margin-left 0.3s linear;
    }

h1, h2{
    font-size: 35px;
}

h3{
    font-size: 25px;
}

.home{
    background:url(images/hero3.jpg) no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
}

.hero{
    max-width: 550px;
    }

.hero h1{
    font-weight: 700;
    line-height: 1.3;
    }


.speciality{
    position: relative;
}

.speciality-txt{
    width: 546px;
    overflow: hidden;
}
.speciality-txt .text{
    position: relative;
    color: var(--color2);
    font-size: 30px;
    font-weight: 600;
}
.speciality-txt .text.first-text{
    color: var(--color1);
}
.text.sec-text:before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: #000;
    border-left: 2px solid var(--color2);
    animation: animate 4s steps(12) infinite;
}

.hero p{
    margin: 20px 0 40px;
}

.btn-container{
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 180px;
    height: 30px;
}

.btn-container .btn{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 100%;
    background: var(--color1);
    border: 1px solid var(--color1);
    border-radius: 5px;
    letter-spacing: .5px;
    font-weight: 500;
    color: #000;
    text-decoration: none;
    z-index: 1;
    overflow: hidden;
    transition: .5s;
} 

.btn-container .btn:hover{
    color: #ffffff;
}

.btn-container .btn:nth-child(2){
    background: transparent;
    color: #ffffff;
}

.btn-container .btn:nth-child(2):hover{
    color: #000;
}

.btn-container .btn:nth-child(2)::before{
    background: var(--color1);
    color: #000;
}
    
.btn-container .btn::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width:0;
    height: 100%;
    background-color: #000;
    z-index: -1;
    transition: .5s;
}

.btn-container .btn:hover::before{
    width: 100%;
}

.hero-img{
    position: absolute;
    top: 0;
    right: 0;
    width: 45%;
    height: 100%;
}

.hero-img:hover{
    background-color: #000;
    opacity: .3;
    transition: 1s;
}

.section-container{
    position: relative;
    top: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

.section-container  h2{
    text-align: center;
    margin: 60px 0;
    color: var(--color1);
}

.section-container  h2 span{
    color: var(--color2);
    cursor: pointer;
    margin: 60px 0;
}


.section-container  .row{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    text-align: center;
}

.container {
    position: relative;
    padding: 30px;
  }
.container::after {
    content: '';
    border-radius: 999px;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: conic-gradient(
        from var(--from),
        var(--color1),
        var(--color2) var(--distance),
        transparent var(--distance)
    );
    -webkit-mask: radial-gradient(
        farthest-side,
        transparent calc(100% - var(--border)),
        #fff calc(100% - var(--border) + 1px)
    );
    mask: radial-gradient(
        farthest-side,
        transparent calc(100% - var(--border)),
        #fff calc(100% - var(--border) + 1px)
    );
    transform: rotate(238deg);
    overflow: hidden;
}

.container .border-spin{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) rotate(0);
    width: 90%;
    height: 90%;
    border-radius: 50%;
    border-top: 2px solid var(--color1);
    border-bottom: 2px  solid var(--color2);
    border-left:2px solid#000;
    border-right:2px solid#000;
    animation: borderSpinner 8s linear infinite;
}

.section-container .row .container .profile {
border-radius: 50%;
display: block;
}

.skill-info h3{
    margin: 30px 0;
    text-align: center;
    color: var(--color1);
} 

.skill-info p{
    line-height: 20px;
}

.info-box{
    display: flex;
    justify-content: space-evenly;
    align-items: stretch;
    width: 100%;
}

.info-box .fig3-box{
    display: flex;
    justify-content: center;
    align-items: center;
}
.info-box .fig3-box .fig3{
    width: 400px;
    height: 500px;
}

.info-box .info-list{
    width: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.info-box .info-list ul{
    list-style: none;
    padding: 50px 0;
}

.info-box .info-list ul li{
    padding: 20px;
    margin: 10px;
}

.info-box .info-list ul li i{
    font-size: 20px;
    padding-right: 2px;
    color: var(--color2);
}

.services h2 {   
    text-align: center;
    color: var(--color1);
}

.services h3{
    margin-top: 50px;
    color: var(--color1);
}

.services .skill-desc{
    margin: 30px 0;
    line-height: 20px;
}

.services .reasons-container{
    padding: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.services .box-container{
    display: flex;
    flex-wrap: wrap;
    flex: 1 1 400px;
    gap: 15px;
    
}

.services .box-container .box{
    display: flex;
    flex-direction: column;
    gap: 15px;
    border: dotted var(--color2);
    border-radius: 5px;
    padding: 10px;
    width: 315px;
    height: fit-content;
}

.services .box-container .box i{
    padding: 5px;
    font-size: 25px;
    color: var(--color2);
}

.services .box-container .box h3{
    font-weight: 700;
}

.services .box-container .box .p{
    font-size: 15px;
    font-weight: 700;
    padding: 3px 0;
}

.services .reasons-container .fig2-box{
    flex: 1 1 400px;
    max-width: 400px;
    justify-content: center;
    align-items: center;
}

.services .reasons-container .fig2-box .fig2{
    width: 400px;
    height: 500px;
}
.services .skills-container{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-self: center;
    text-align: center;
}

.services .skills-container .fig1-box{
    flex: 1 1 400px;
}

.services .skills-container .fig1-box .fig1{
    width: 400px;
    height: 500px;
}

.services .icons{
    display: flex;
    flex-wrap: wrap;
    flex: 1 1 400px;
    gap: 30px;
    align-items: flex-start;
    justify-content: flex-start;
    text-align: center;
}

.services .icons .item {
   width: 70px;
   height: 70px;
}

.projects{
    min-height: fit-content;
}

.projects h2{
    margin: 30px 0 0 20px;
    text-align: center;
    color: var(--color1);
}

.projects h3{
    margin: 10px;
    color: var(--color1);
}

.projects .project-box{
    display: flex;
    flex-direction: row-reverse;
    overflow-y: hidden;
    max-height: 500px;
    gap: 15px;
    
}

.projects .project-box::-webkit-scrollbar{
    height: 6px;
    background-color: #000;
}

.projects .project-box::-webkit-scrollbar-thumb{
    width: 5px;
    background-color: var(--color1);
    border-radius: 10px;
    padding: 0 10px;
}

.projects .project-box .project{
    display: flex;
    flex-direction: column;
    gap: 20px;
    min-width: 300px;
    height: 450px;
    overflow: hidden;
    padding: 0;
    margin-bottom: 15px;
    border: 3px dotted var(--color2);
    border-radius: 20px;
    transition: all .3s ease-out;
}

.projects .project-box .project:hover{
    transform: scale(1.02);
    box-shadow: -7px 7px 5px 0px var(--color2);
}

.projects .project-box .project .project-img{
    width: 300px;
    height: 190px;
    border-radius: 20px 20px 0 0;
    transition: transform .5s ease;
}

.projects .project-box .project:hover .project-img {
    transform: scale(1.1);
}

.projects .project-box .project .project-link{
    display: flex;
    justify-content: space-between;
}

.projects .project-box .project .project-link a{
    text-decoration: none;
    color: #ffffff;
}

.projects .project-box .project .project-link a i{
    padding: 0 5px;
    font-size: 25px;
}
.projects .project-box .project .project-link a:hover{
    color: var(--color1);
}

.projects .project-box .project .project-link a span{
    font-size: 17px;
    font-weight: 500;
    margin: 0 10px 0 0;
    
}

.contact h2{
    margin: 80px 0 0 40px;
    text-align: center;
    color: var(--color1);
}

.contact h3{
    margin-top: 60px;
    color: var(--color1);
}

.contact .contact-box{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.contact .contact-box form{
    flex: 1 1 400px;
    padding: 20px;
    border-radius: 30px;
    border: 2px dashed var(--color2);
}

.contact .contact-box form .inputBox{
    display: flex;
    flex-wrap: wrap;
}

.contact .contact-box form .inputBox label{
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}
.contact .contact-box form .inputBox input{
    width: 100%;
    margin: 10px 0;
    padding: 10px;
    font-size: 17px;
    border: 3px solid #000;
}
.contact .contact-box form textarea{
    width: 100%;
    height: 150px;
    margin: 10px 0;
    padding: 0 0 10px 0;
    font-size: 15px;
    border: 3px solid #000;
    resize: none;
}
.contact .contact-box form .btn{
    margin-top: 10px;
    background:var(--color1);
    color:#000;
    padding: 10px;
    border: 3px solid #000;
    border-radius: 20px;
    cursor: pointer;
    font-size: 17px;
    font-weight: bold;
    transition: transform .5s ease;
  }

  .contact .contact-box form .btn:hover{
    background:var(--color2);
    transform: scale(1.1);
  }

.contact .contact-box .fig4-box{
    flex: 1 1 400px;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.contact .contact-box .fig4-box .links{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.contact .contact-box .fig4-box .links .social-links{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 10px;
}

.contact .contact-box .fig4-box .links .social-links a {
    cursor: pointer;
}
.contact .contact-box .fig4-box .links .social-links a .icon1{
    border-radius: 50%;
    transition: transform .5s ease;
}

.contact .contact-box .fig4-box .links .social-links a .icon1:hover {
    box-shadow: 0 5px 15px #31d122;
    transform: scale(1.2);
}

.contact .contact-box .fig4-box .links .social-links a .icon2{
    border-radius: 9px;
    transition: transform .5s ease;
}

.contact .contact-box .fig4-box .links .social-links a .icon2:hover {
    box-shadow: 0 5px 15px #a3a3a3;
    transform: scale(1.2);
}

.contact .contact-box .fig4-box .links .social-links a .icon3{
    border-radius: 9px;
    transition: transform .5s ease;
}

.contact .contact-box .fig4-box .links .social-links a .icon3:hover {
    box-shadow: 0 5px 15px #037fc7;
    transform: scale(1.2);
}

.contact .contact-box .fig4-box .links .social-links a .icon4{
    border-radius: 50%;
    width: 48px;
    height: 48px;
    transition: transform .5s ease;
}

.contact .contact-box .fig4-box .links .social-links a .icon4:hover {
    box-shadow: 0 5px 15px #ffffff;
    transform: scale(1.2);
}

.contact .contact-box .fig4-box .links .social-links a .icon5{
    border-radius: 50%;
    transition: transform .5s ease;
}

.contact .contact-box .fig4-box .links .social-links a .icon5:hover {
    box-shadow: 0 5px 15px #07bdeb;
    transform: scale(1.2);
}


.contact .contact-box .fig4-box .fig4{
    width: 400px;
    height: 500px;
}

/* @KEYFRAMES */

@keyframes animate{
    40%, 60%{
        left: calc(100% + 4px);
    }
    100%{
        left: 0%;
    }
}

@keyframes borderSpinner{
    100%{
        transform: translate(-50%,-50%) rotate(360deg);
    }
  }

 /* BREAKPOINTS */
/* Medium-sized screens */
@media only screen and (max-width: 1200px) {
    .nav-menu {
        width: 60px; 
    }

    .nav-menu ul{
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        height: 90%;
    }
    
    .nav-menu ul li{
        align-items: center;
        justify-content: center;
    }

    .nav-profile span {
        display: none;
    }

    .home{
        background-image: none;
        background:#000;
        display: flex;
        padding: 100px 50px;
    }

    .hero{
        width: 100%;
        padding: 0;
    }

    .hero-img{
        display: none;
    }

    section{
        margin: 0 0 0 70px;
        padding: 0; 
        min-height: 100%;
     }

     p{
        font-size: 20px;
        font-weight: 300;
    }

    h1, h2{
        font-size: 25px;
    }

    h3{
        font-size: 20px;
    }

    .info-box{
        justify-content: center;
        align-items: center;
    }

    .info-box .info-list{
        justify-content: center;
        align-items: center;
    }
    
    .services h2 {
        margin: 0 0 20px 0;
    }
    
    
    .services h3{
        margin-top: 0;
    }


    .services .reasons-container{
        padding: 10px 40px;
    }   

     .info-box .fig3-box{
        display: none;
    }

    .services .reasons-container .fig2-box{
        display: none;
    }

    .services .skills-container .fig1-box{
        flex: 1 1 250px;
    }

    .services .skills-container .fig1-box .fig1{
        width: 300px;
        height: 400px;
    }

    .services .icons .item {
        width: 50px;
        height: 50px;
     }

    .section-container  h2{
        text-align: center;
        margin: 60px 0;
        color: var(--color1);
    }

    .contact h2,h3{
        margin: 25px 0;
    }

    .contact .contact-box{
       padding: 10px;
    }

    .contact .contact-box .fig4-box .fig4{
        width: 300px;
        height: 300px;
    }
}

/* SPECIFIC TYPE OF DEVICE SREEN SIZE*/
@media only screen and (width: 1114px){
    .nav-menu {
        width: 200px; 
    }

    .home{
        padding: 100px 10px 100px 100px;
    }

    .hero{
        width: 100%;
        padding: 0;
    }

    .hero-img{
        display: none;
    }

    section{
        margin: 0 5px 0 220px;
        padding: 0; 
        min-height: 100%;
     }

     p{
        font-size: 20px;
        font-weight: 300;
    }

     .services .reasons-container .box-container{
        justify-content: center;
        align-items: center;
     }
     

}

/* Small-sized screens */
@media only screen and (max-width: 768px) {
    .nav-menu{
        display: none; 
    }

    .menu-toggle-button{
        display: block;
        z-index: 9999;
        position: fixed;
    }

    .nav-menu.active{
        display: block;
        width: 60px;
    }


    .nav-profile img {
        width: 45px; 
        height: 45px;
        margin-top: 35px;
    }

    .services .icons{
        gap: 15px;
    }


    section{
        margin: 20px;
        padding: 0; 
        height: 100%;
     }

    p{
        font-size: 20px;
        font-weight: 300;
    }

    h1, h2{
        font-size: 20px;
    }

    h3{
        font-size: 18px;
    }
    

}

/* Extra small screens (mobile) */
@media only screen and (max-width: 480px) {
    

    .nav-menu.active{
        display: block;
        width: 60px;
    }
    .nav-profile img {
        width: 45px; 
        height: 45px;
        margin-top: 35px;
    }

    section{
       margin: 10px;
    }
    
    p{
        font-size: 15px;
        font-weight: 300;
    }
    
    .home{
        padding: 50px 10px;
    }


    .speciality-txt .text{
        font-size: 20px;
    }

    .section-container  h2{
        font-size: 25px;
        margin: 40px 0;
    }
    .section-container .row .container .profile {
        width: 120px;
        height: 120px;
        }

    .info-box .info-list{
        max-width: 50%;
        margin: 0 10px 0 0;  
    }

    .info-box .info-list ul li{
        margin: 5px;

    }

    .services .skills-container .fig1-box .fig1{
        width: 200px;
        height: 300px;
    }

    .services .icons{
        gap: 12px;
    }

    .services .icons .item {
        width: 40px;
        height: 40px;
     }

    .projects h2{
        margin: 25px 0 0 15px;
        font-size: 25px;
    }
    
    .projects h3{
        margin: 5px;
    }

    .projects .project-box .project{
        gap: 15px;
        min-width: 250px;
        height: 400px;
    }

    .contact h2{
        margin: 20px 0;
    }
    
    .contact .contact-box{
        padding: 0;
    }

    .contact .contact-box form{
        width: 100%;
        padding: 8px;
        border-radius: 30px;
    }

    .contact .contact-box form .inputBox input{
        margin: 5px 0;
        padding: 5px;
    }

    .contact .contact-box .fig4-box .fig4{
        width: 200px;
        height: 300px;
    }

    .contact .contact-box form textarea{
        width: 100%;
        height: 120px;
        margin: 10px 0;
        padding: 0 0 10px 0;
        border: 3px solid #000;
        resize: none;
    }

    .contact .contact-box form .btn{
        margin-top: 5px;
        padding: 5px;
      }

      .contact .contact-box .fig4-box .links .social-links a .icon1,
      .contact .contact-box .fig4-box .links .social-links a .icon2,
      .contact .contact-box .fig4-box .links .social-links a .icon3,
      .contact .contact-box .fig4-box .links .social-links a .icon4,
      .contact .contact-box .fig4-box .links .social-links a .icon5{
        width: 35px;
        height: 35px;
    }
    
}